Skip to main content
Topic: Upgrade to IPB 2.3.3 ? (Read 7874 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Upgrade to IPB 2.3.3 ?

Hi,

How about upgrade to IPB 2.3.3, the latest version?

Lots of annoying bugs fixed since 2.1.5.

Thanks,

Will
God Bless U.S.A


Upgrade to IPB 2.3.3 ?

Reply #2
The upgrade process is tedious since HA uses various IPB mods. I already raised this issue with Garf once (he runs the server). I don't know what his stance is on upgrading these days.

Upgrade to IPB 2.3.3 ?

Reply #3
The last upgrade brought a small number of fixes, a huge number of new bugs, and very few if any useful new features. From reading IPB 2.2 and 2.3 changelogs it seems more of the same.

Given the work that an upgrade takes, I can't say I'm very motivated unless there's a good reason. An example of what kind of annoying bugs are supposedly fixed would help.

Maybe an upgrade to another board system would be even better

Upgrade to IPB 2.3.3 ?

Reply #4
OK thats cool, yeah mods are a bit**!  Nothing major, like you said, just annoying bugs to me...  Not even worth explaining since they are minor annoyances only and wont effect the issue of upgrading the mods, etc... But thats cool, completely understandable..
God Bless U.S.A

Upgrade to IPB 2.3.3 ?

Reply #5
war59312, I am interested in reproducing one. Could you specify one please? 

 

Upgrade to IPB 2.3.3 ?

Reply #6
Upgrading to 2.3.x is a very good idea. The 2.2.x series had a much better CAPTCHA image when using the GD2 library. It's much faster and more reliable as well. Many issues have been fixed, including bugs and potential exploits. You even get some new BBCode that is really nice.

Exploits for Invision Power Board predating the 2.2.x series:
  • 2008-01-05    Invision Power Board <= 2.1.7 ACTIVE XSS/SQL Injection Exploit
  • 2006-11-01    Invision Power Board <= 2.1.7 (Debug) Remote Password Change Exploit
  • 2006-07-18    Invision Power Board 2.1 <= 2.1.6 Remote SQL Injection Exploit (2)
  • 2006-07-14    Invision Power Board 2.1 <= 2.1.6 Remote SQL Injection Exploit
  • 2006-05-01    Invision Power Board <= 2.1.5 (from_contact) SQL Injection Exploit
  • 2006-04-29    Invision Power Board <= 2.1.5 search.php Remote Code Execution Exploit
  • 2006-04-26    Invision Power Board <= 2.1.5 (lastdate) Remote Code Execution Exploit
  • 2006-02-10    Invision Power Board <= 2.1.4 (Register Users) Denial of Service Exploit

I won't publicly say where I found the list of exploits, though if an admin wants to know I'll tell them where to look.

 
SimplePortal 1.0.0 RC1 © 2008-2019